Unit test fails for 2.1.4 on PPC64le

Following test is failing due to altered sequence of errors.

  • 03-flatten_spec

But after altering the sequence test do pass,

Test script changes,
diff --git a/spec/01-unit/01-db/01-schema/11-declarative_config/03-flatten_spec.lua b/spec/01-unit/01-db/01-schema/11-declarative_conf
index 770851e…f8d7fa0 100644
— a/spec/01-unit/01-db/01-schema/11-declarative_config/03-flatten_spec.lua
+++ b/spec/01-unit/01-db/01-schema/11-declarative_config/03-flatten_spec.lua
@@ -322,8 +322,8 @@ describe(“declarative config: flatten”, function()
assert.same({
plugins = {
[1] = {
- “invalid reference ‘consumer: my-consumer’ (no such entry in ‘consumers’)”,
“invalid reference ‘service: svc1’ (no such entry in ‘services’)”,
+ “invalid reference ‘consumer: my-consumer’ (no such entry in ‘consumers’)”,
}
}
}, idempotent(err))

Is this change acceptable ? as after debugging I haven’t found anything amiss which is causing to alter original sequence.

Thanks.


© 2019 Kong Inc.    Terms  •  Privacy  •  FAQ